<!-- Flex row -->
<div class="miam-replace-item">
  <!-- fixed width -->
  <div class="miam-replace-item__selected">
    <img class="miam-replace-item__selected__picture" [src]="line?.record?.selectedItem?.attributes?.image" alt="Image non disponible">
    <div class="miam-replace-item__selected__column">
      <div class="miam-replace-item__title">
        {{ line.title }}
      </div>
      <div class="miam-replace-item__description">
        {{ line?.record?.selectedItem.attributes.brand }} {{ line?.record?.selectedItem.attributes.name }} |
         {{ line?.record?.selectedItem.capacity }}
      </div>
      <div class="miam-replace-item__price">
        {{ line?.record?.totalPrice.replace('.', ',') }} €
      </div>
    </div>
  </div>
  <div class="miam-replace-item__choices">
    <div class="miam-replace-item__choices__action">
      <div>Remplacer cet article par :</div>
      <button class="m-button-fab miam-replace-item__choices__close" (click)="onClose()">
        <ng-miam-icon  primaryColor="var(--m-color-grey-text-dark)" [width]="32"
        [height]="32" [iconName]="icon.Clear" ></ng-miam-icon>
      </button>
    </div>

    <!-- scroll-->
    <div #itemsList class="miam-replace-item__choices__list" (mousewheel)="scrollItemsList($event)">
      <!-- Fixed width + ngFor -->

      <div class="miam-replace-item__choice" *ngFor="let item of line?.record?.candidateItems, let i = index" (click)="onSelectItem(item)">
        <div class="miam-replace-item__choice__column">
          <img [src]="item?.attributes?.image">
        </div>
        <div class="miam-replace-item__choice__column">
          <div class="miam-replace-item__choice__content">
            <strong class="miam-replace-item__title">{{ line.title }}</strong>
            <div class="miam-replace-item__description">
              <div>{{  item?.attributes?.brand }} {{ item?.attributes?.name }} |
                {{item?.attributes['capacity-volume'] + ' ' + item?.attributes['capacity-unit']}}</div>
            </div>
          </div>
        </div>
        <div class="miam-replace-item__choice__column">
          <ng-miam-icon 
            class="miam-replace-item__choice__swap" 
            [height]='28' 
            [width]='28' 
            [iconName]='icon.Swap' >
          </ng-miam-icon>
          <div class="miam-replace-item__price">{{item?.attributes["unit-price"]}} €</div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- <ng-template #wrapView>
  <div class="selected-item wrap-mode"  >
    <div style="display: inline-flex;">
      <img class="picture" [src]="line?.record?.selectedItem?.attributes?.image" alt="Image non disponible">
      <div class="column">
        <div class="name">
          <strong>{{ line?.record?.selectedItem.attributes.name }}</strong>
        </div>
        <div>{{ line?.record?.selectedItem.attributes.brand }} |
          {{ line?.record?.selectedItem.capacity }}</div>
      </div>
    </div>
    <div class="column">
      <div class="price">
        <strong>{{ line?.record?.totalPrice.replace('.', ',') }} €</strong>
      </div>
      <div class="price-subline">
        {{ line?.record?.selectedItem.attributes['unit-price'].replace('.', ',') }} €
        / unité</div>
    </div>
  </div>
  <div class="stiky-action-bar">
    <div>Remplacer cet article par :</div>
    <button (click)='onClose()' class="alert">Annuler</button>
  </div>
  <div class="replace-item-wrapper" >

    <div class="choice" *ngFor="let item of line?.record?.candidateItems, let i = index">
      <div class="card-wrapper">
        <div class="item-row ">
          <img [src]="item?.attributes?.image">
          <div class="price">{{item?.attributes["unit-price"]}} €</div>
        </div>
        <div class="item-row ">
          <div style="flex :1">
            <strong class="title">{{ item?.attributes?.name }}</strong>
            <div class="description">
              <div>{{  item?.attributes?.brand }} |
                {{item?.attributes['capacity-volume'] + ' ' + item?.attributes['capacity-unit']}}</div>
            </div>
          </div>
          <ng-miam-icon (click)="onSelectItem(item)" class="icon-button wrap-mode" [height]='32' [width]='32'
            [iconName]='icon.Swap'></ng-miam-icon>
        </div>
      </div>
    </div>
  </div>
</ng-template> -->